Index: pacemaker/pengine/test10/stonith-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/stonith-1.exp
+++ pacemaker/pengine/test10/stonith-1.exp
@@ -26,7 +26,7 @@
     <action_set>
       <rsc_op id="10" operation="monitor" operation_key="r192.168.100.182_monitor_5000" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86">
         <primitive id="r192.168.100.182" class="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="10000" >
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sles-1" CRM_meta_on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86" CRM_meta_timeout="10000" >
           <param name="1" value="192.168.100.182"/>
         </attributes>
       </rsc_op>
@@ -37,7 +37,7 @@
     <action_set>
       <rsc_op id="12" operation="monitor" operation_key="r192.168.100.183_monitor_5000" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86">
         <primitive id="r192.168.100.183" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="10000"  ip="192.168.100.183"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sles-1" CRM_meta_on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86" CRM_meta_timeout="10000"  ip="192.168.100.183"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -50,7 +50,7 @@
     <action_set>
       <rsc_op id="11" operation="start" operation_key="r192.168.100.183_start_0" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86">
         <primitive id="r192.168.100.183" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="10000"  ip="192.168.100.183"/>
+        <attributes CRM_meta_on_node="sles-1" CRM_meta_on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86" CRM_meta_timeout="10000"  ip="192.168.100.183"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -66,7 +66,7 @@
     <action_set>
       <rsc_op id="19" operation="monitor" operation_key="lsb_dummy_monitor_5000" on_node="sles-2" on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088">
         <primitive id="lsb_dummy" class="lsb" type="/usr/lib64/heartbeat/cts/LSBDummy"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sles-2" CRM_meta_on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -75,7 +75,7 @@
     <action_set>
       <rsc_op id="22" operation="monitor" operation_key="migrator_monitor_10000" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="migrator" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="10000" allow_migrate="1" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_timeout="10000" allow_migrate="1" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -88,7 +88,7 @@
     <action_set>
       <rsc_op id="21" operation="start" operation_key="migrator_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="migrator" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="10000" allow_migrate="1" />
+        <attributes CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_timeout="10000" allow_migrate="1" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -116,7 +116,7 @@
     <action_set>
       <rsc_op id="27" operation="monitor" operation_key="rsc_sles-2_monitor_5000" on_node="sles-2" on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088">
         <primitive id="rsc_sles-2" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="10000"  ip="192.168.100.185"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sles-2" CRM_meta_on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088" CRM_meta_timeout="10000"  ip="192.168.100.185"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -125,7 +125,7 @@
     <action_set>
       <rsc_op id="30" operation="monitor" operation_key="rsc_sles-3_monitor_5000" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="rsc_sles-3" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="10000"  ip="192.168.100.186"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_timeout="10000"  ip="192.168.100.186"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -138,7 +138,7 @@
     <action_set>
       <rsc_op id="29" operation="start" operation_key="rsc_sles-3_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="rsc_sles-3" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="10000"  ip="192.168.100.186"/>
+        <attributes CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_timeout="10000"  ip="192.168.100.186"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -166,7 +166,7 @@
     <action_set>
       <rsc_op id="33" operation="monitor" operation_key="rsc_sles-4_monitor_5000" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="rsc_sles-4" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="10000"  ip="192.168.100.187"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_timeout="10000"  ip="192.168.100.187"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -175,7 +175,7 @@
     <action_set>
       <rsc_op id="40" operation="monitor" operation_key="child_DoFencing:2_monitor_60000" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="child_DoFencing" long-id="child_DoFencing:2" class="stonith" type="external/vmware"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_requires="nothing" CRM_meta_timeout="300000"  device_host="vmhost"/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_requires="nothing" CRM_meta_timeout="300000"  device_host="vmhost"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -188,7 +188,7 @@
     <action_set>
       <rsc_op id="39" operation="start" operation_key="child_DoFencing:2_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="child_DoFencing" long-id="child_DoFencing:2" class="stonith" type="external/vmware"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_requires="nothing" CRM_meta_timeout="180000"  device_host="vmhost"/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_requires="nothing" CRM_meta_timeout="180000"  device_host="vmhost"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -266,7 +266,7 @@
     <action_set>
       <rsc_op id="46" operation="monitor" operation_key="ocf_msdummy:0_monitor_5000" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="ocf_msdummy:0" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -279,7 +279,7 @@
     <action_set>
       <rsc_op id="45" operation="start" operation_key="ocf_msdummy:0_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="ocf_msdummy:0" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -295,7 +295,7 @@
     <action_set>
       <rsc_op id="48" operation="monitor" operation_key="ocf_msdummy:1_monitor_5000" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86">
         <primitive id="ocf_msdummy:1" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="sles-1" CRM_meta_on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -308,7 +308,7 @@
     <action_set>
       <rsc_op id="47" operation="start" operation_key="ocf_msdummy:1_start_0" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86">
         <primitive id="ocf_msdummy:1" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="sles-1" CRM_meta_on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -324,7 +324,7 @@
     <action_set>
       <rsc_op id="51" operation="monitor" operation_key="ocf_msdummy:2_monitor_5000" on_node="sles-2" on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088">
         <primitive id="ocf_msdummy:2" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="sles-2" CRM_meta_on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -337,7 +337,7 @@
     <action_set>
       <rsc_op id="50" operation="start" operation_key="ocf_msdummy:2_start_0" on_node="sles-2" on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088">
         <primitive id="ocf_msdummy:2" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="sles-2" CRM_meta_on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -371,7 +371,7 @@
     <action_set>
       <rsc_op id="53" operation="monitor" operation_key="ocf_msdummy:3_monitor_5000" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="ocf_msdummy:3" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -384,7 +384,7 @@
     <action_set>
       <rsc_op id="52" operation="start" operation_key="ocf_msdummy:3_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="ocf_msdummy:3" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -400,7 +400,7 @@
     <action_set>
       <rsc_op id="55" operation="monitor" operation_key="ocf_msdummy:4_monitor_5000" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86">
         <primitive id="ocf_msdummy:4" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="4" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="4" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="sles-1" CRM_meta_on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -413,7 +413,7 @@
     <action_set>
       <rsc_op id="54" operation="start" operation_key="ocf_msdummy:4_start_0" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86">
         <primitive id="ocf_msdummy:4" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="4" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="4" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="sles-1" CRM_meta_on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -429,7 +429,7 @@
     <action_set>
       <rsc_op id="58" operation="monitor" operation_key="ocf_msdummy:5_monitor_5000" on_node="sles-2" on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088">
         <primitive id="ocf_msdummy:5" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="5" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="5" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="sles-2" CRM_meta_on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -442,7 +442,7 @@
     <action_set>
       <rsc_op id="57" operation="start" operation_key="ocf_msdummy:5_start_0" on_node="sles-2" on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088">
         <primitive id="ocf_msdummy:5" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="5" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="5" CRM_meta_clone_max="8" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="4" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="sles-2" CRM_meta_on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/stonith-2.exp
===================================================================
--- pacemaker.orig/pengine/test10/stonith-2.exp
+++ pacemaker/pengine/test10/stonith-2.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="50" operation="monitor" operation_key="rsc_sles-5_monitor_5000" on_node="sles-6" on_node_uuid="e7840e57-67e1-44dc-9804-edd22d282394">
         <primitive id="rsc_sles-5" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="192.168.100.188"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sles-6" CRM_meta_on_node_uuid="e7840e57-67e1-44dc-9804-edd22d282394" CRM_meta_timeout="20000"  ip="192.168.100.188"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="49" operation="start" operation_key="rsc_sles-5_start_0" on_node="sles-6" on_node_uuid="e7840e57-67e1-44dc-9804-edd22d282394">
         <primitive id="rsc_sles-5" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="192.168.100.188"/>
+        <attributes CRM_meta_on_node="sles-6" CRM_meta_on_node_uuid="e7840e57-67e1-44dc-9804-edd22d282394" CRM_meta_timeout="20000"  ip="192.168.100.188"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/stonith-3.exp
===================================================================
--- pacemaker.orig/pengine/test10/stonith-3.exp
+++ pacemaker/pengine/test10/stonith-3.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="prmIpPostgreSQLDB_monitor_30000" on_node="rh5node2" on_node_uuid="fb62f5f4-015c-466a-8778-7b5c1c5639d6">
         <primitive id="prmIpPostgreSQLDB" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_fail="fence" CRM_meta_timeout="60000" cidr_netmask="24"  ip="172.16.91.120" nic="eth0"/>
+        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_fail="fence" CRM_meta_on_node="rh5node2" CRM_meta_on_node_uuid="fb62f5f4-015c-466a-8778-7b5c1c5639d6" CRM_meta_timeout="60000" cidr_netmask="24"  ip="172.16.91.120" nic="eth0"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="4" operation="start" operation_key="prmIpPostgreSQLDB_start_0" on_node="rh5node2" on_node_uuid="fb62f5f4-015c-466a-8778-7b5c1c5639d6">
         <primitive id="prmIpPostgreSQLDB" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_timeout="60000" cidr_netmask="24"  ip="172.16.91.120" nic="eth0"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="rh5node2" CRM_meta_on_node_uuid="fb62f5f4-015c-466a-8778-7b5c1c5639d6" CRM_meta_timeout="60000" cidr_netmask="24"  ip="172.16.91.120" nic="eth0"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -32,7 +32,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="prmIpPostgreSQLDB_monitor_0" on_node="rh5node2" on_node_uuid="fb62f5f4-015c-466a-8778-7b5c1c5639d6">
         <primitive id="prmIpPostgreSQLDB" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="60000" cidr_netmask="24"  ip="172.16.91.120" nic="eth0"/>
+        <attributes CRM_meta_on_node="rh5node2" CRM_meta_on_node_uuid="fb62f5f4-015c-466a-8778-7b5c1c5639d6" CRM_meta_op_target_rc="7" CRM_meta_timeout="60000" cidr_netmask="24"  ip="172.16.91.120" nic="eth0"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -68,7 +68,7 @@
     <action_set>
       <rsc_op id="6" operation="start" operation_key="prmStonith:0_start_0" on_node="rh5node2" on_node_uuid="fb62f5f4-015c-466a-8778-7b5c1c5639d6">
         <primitive id="prmStonith" long-id="prmStonith:0" class="stonith" type="external/ssh"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000"  hostlist="rh5node1 rh5node2" stonith-timeout="70s"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rh5node2" CRM_meta_on_node_uuid="fb62f5f4-015c-466a-8778-7b5c1c5639d6" CRM_meta_timeout="20000"  hostlist="rh5node1 rh5node2" stonith-timeout="70s"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -84,7 +84,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="prmStonith:0_monitor_0" on_node="rh5node2" on_node_uuid="fb62f5f4-015c-466a-8778-7b5c1c5639d6">
         <primitive id="prmStonith" long-id="prmStonith:0" class="stonith" type="external/ssh"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="rh5node1 rh5node2" stonith-timeout="70s"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rh5node2" CRM_meta_on_node_uuid="fb62f5f4-015c-466a-8778-7b5c1c5639d6" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="rh5node1 rh5node2" stonith-timeout="70s"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/stop-failure-with-fencing.exp
===================================================================
--- pacemaker.orig/pengine/test10/stop-failure-with-fencing.exp
+++ pacemaker/pengine/test10/stop-failure-with-fencing.exp
@@ -45,7 +45,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="Fencing_monitor_0" on_node="pcmk-1" on_node_uuid="101">
         <primitive id="Fencing" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="101" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/stopped-monitor-00.exp
===================================================================
--- pacemaker.orig/pengine/test10/stopped-monitor-00.exp
+++ pacemaker/pengine/test10/stopped-monitor-00.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="rsc1_monitor_20000" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_op_target_rc="7" CRM_meta_role="Stopped" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_role="Stopped" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="rsc1_monitor_10000" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -29,7 +29,7 @@
     <action_set>
       <rsc_op id="4" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -45,7 +45,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -54,7 +54,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/stopped-monitor-01.exp
===================================================================
--- pacemaker.orig/pengine/test10/stopped-monitor-01.exp
+++ pacemaker/pengine/test10/stopped-monitor-01.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="2" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="1" operation="monitor" operation_key="rsc1_monitor_10000" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
